/*
  board.c - Board funtions
*/

#include "board.h"
#include "sadc.h"

#define BOARD_SADC_FREQ 5000000

/* Pio pins to configure */
static const Pin pinsSADC[] = {PINS_SADC};

int
boardInit(void)
{
  /* Configure peripherals used by the application */
  PIO_Configure(pinsSADC, PIO_LISTSIZE(pinsSADC));

  SADC_Initialize();

  //SADC_EnableChannel(AT91C_BASE_SADC, SADC_CHANNEL_0);
  usleep(1000);

  return 0;
}
